//****************************************Copyright (c)***********************************//
 
module tiem(
      input               CLK  ,  //系统时钟  
	 	output     AD92_CLKAwire ,		   //AD采集时钟A
	 	output     AD92_CLKBwire ,		//AD采集时钟B
	//output      AD92_CLKC /*synthesis keep*/ ,		//测试时钟C 
  output reg [3:0]  led ,      //4个LED灯
	input               RSTn  //系统复位，低电平有效
    );
 
   reg [23:0]  timecount; 
    wire        locked     ;  //locked信号拉高,锁相环开始稳定输出时钟  /系统复位与锁相环locked相与,作为其它模块的复位信号                                                                                                                                                                                                                       
//计数器对系统时钟计数，计时0.2秒
always @(posedge AD92_CLKBwire or negedge RSTn) begin
    if (!RSTn)
        timecount <= 24'd0;
    else if (timecount < 24'd100000_0000)
        timecount <= timecount + 1'b1;
    else
        timecount <= 24'd0;
end

//通过移位寄存器控制IO口的高低电平，从而改变LED的显示状态
always @(posedge AD92_CLKBwire or negedge RSTn) begin
    if (!RSTn)
        led <= 4'b0001; 
    else if(timecount == 24'd100000_0000) 
        led[3:0] <= {led[2:0],led[3]};
    else
        led <= led;
    
end
/*++++++++++++*/ 
  pll pll_adc(
		.inclk0(CLK),
		.areset(~RSTn),
	 	.c0  (AD92_CLKAwire),
      .c1  (AD92_CLKBwire),
	//	.c2  (AD92_CLKC),
	   .locked (locked) 
	);
	/*++++++++++++*/ 
endmodule 
 