module tx_bps_module #(parameter Baud=115200)(
    CLK,RSTn,
    Count_Sig,
    BPS_CLK
    );
    input CLK;
    input RSTn;
    input Count_Sig;
    output BPS_CLK;

    /***************************/
    localparam Baud_Div=50_000_000/Baud-1;
    localparam Baud_Div2=Baud_Div/2;

    reg[15:0] Count_BPS;
    /*************************/
    always @(posedge CLK or negedge RSTn)
    begin
        if(!RSTn)
            Count_BPS<=16'd0;
        else if(Count_BPS==Baud_Div)
            Count_BPS<=16'd0;
        else if(Count_Sig)
            Count_BPS<=Count_BPS+1;
        else Count_BPS<=16'd0;
    end
    /************************/
    assign BPS_CLK=(Count_BPS==Baud_Div2)?1'b1:1'b0;
endmodule