module tx_control_module(
    CLK,RSTn,
    TX_En_Sig,TX_Data,BPS_CLK,
    TX_Done_Sig,TX_Pin_Out
    );
    input CLK,RSTn;
    input TX_En_Sig,BPS_CLK;
    input [7:0]TX_Data;
    output TX_Done_Sig,TX_Pin_Out;
    /***************************************/
    reg rTX;
    reg isDone;
    reg[3:0] i;
    always @(posedge CLK or negedge RSTn)
    begin
        if(!RSTn)
        begin
            rTX<=1'b1;
            isDone<=1'b0;
            i<=4'd0;
        end
        else if(TX_En_Sig)
        begin
            case(i)
            4'd0:if(BPS_CLK) begin rTX<=0;i<=i+1'b1; end
            4'd1,4'd2,4'd3,4'd4,4'd5,4'd6,4'd7,4'd8:
            if(BPS_CLK) begin rTX<=TX_Data[i-1];i<=i+1'b1; end
            4'd9:if(BPS_CLK) begin rTX<=1;i<=i+1'b1; end
            4'd10:if(BPS_CLK) begin rTX<=1;i<=i+1'b1; end
            4'd11:if(BPS_CLK) begin isDone<=1;i<=i+1'b1; end
            4'd12: begin isDone<=0;i<=1'b0; end
            endcase
        end
    end
    /***************************************/
    assign TX_Pin_Out=rTX;
    assign TX_Done_Sig=isDone;
endmodule