module tx_interface(
    input CLK,
	 input fifowdCLK,
    input RSTn,
    //FIFO写入接口
    input Write_Req_Sig,
    input [7:0]FIFO_Write_Data,
    output Full_Sig,

    output TX_Pin_Out
    );

     wire Empty_Sig;
     wire Read_Req_Sig;
     wire [7:0] FIFO_Read_Data;

    wire TX_En_Sig;
    wire TX_Done_Sig;
    wire [7:0]TX_Data;

 fifo U0 (
  .clock(fifowdCLK), // input clk
 // .rst(!RSTn), // input rst
   .data(FIFO_Write_Data), // input [7 : 0] din
   .rdreq(Read_Req_Sig), // input rd_en
   .wrreq(Write_Req_Sig), // input wr_en
   .empty(Empty_Sig), // output empty
   .full(Full_Sig), // output full
	.q(FIFO_Read_Data)  // output [7 : 0] dout
);

    fifo2tx_module U1 (
    .CLK(CLK),
    .RSTn(RSTn),
    .Empty_Sig(Empty_Sig),
    .FIFO_Read_Data(FIFO_Read_Data),
    .Read_Req_Sig(Read_Req_Sig),
    .TX_Done_Sig(TX_Done_Sig),
    .TX_Data(TX_Data),
    .TX_En_Sig(TX_En_Sig)
);


    tx_module U2 (
    .CLK(CLK),
    .RSTn(RSTn),
    .TX_En_Sig(TX_En_Sig),
    .TX_Data(TX_Data),
    .TX_Pin_Out(TX_Pin_Out),
    .TX_Done_Sig(TX_Done_Sig)
);




endmodule